Subject: Re: linux-next: manual merge of the net-next tree with the rdma tree

From: Saeed Mahameed <[email-masked]>
Date: Thu, 28 Oct 2021 07:48:16 +0000

On Thu, 2021-10-28 at 11:56 +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the net-next tree got a conflict in:
> 
>   drivers/net/ethernet/mellanox/mlx5/core/en_main.c
> 
> between commit:
> 
>   83fec3f12a59 ("RDMA/mlx5: Replace struct mlx5_core_mkey by u32 key")
> 
> from the rdma tree and commit:
> 
>   e5ca8fb08ab2 ("net/mlx5e: Add control path for SHAMPO feature")
> 
> from the net-next tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your
> tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any
> particularly
> complex conflicts.
> 

A merge conflict resolution pr was already sent to net-next,
https://lore.kernel.org/netdev/[email-masked]/T/#u